% Function computes the objective measuring the differences
% in the reactant concentrations.

function [fo] = opt_fun1(g,J1,J2,Srx,dir1,dir2,go,kT,L);

[m,n] = size(Srx);
c1 = exp((g(1:m)-go')./kT);
c2 = exp((g( (m+1):(2*m) )-go')./kT);
fo = sum( (c1-c2).^2 ./ (c1.*c2) );
